# coding=utf8
import io


class ddlWriter:
    """
    Класс писателя готовых ддл в отдельный файл
    """
    log_file = ''

    def __init__(self, log_path):
        """
        Конструктор
        """
        try:
            self.log_file = open(log_path, "w+")
        except Exception as e:
            print (e)

    def write(self, ddl):
        try:
            self.log_file.writelines(ddl)
        except Exception as e:
            print (e)

    def close(self):
        try:
            self.log_file.close()
        except Exception as e:
            print (e)
