# coding=utf8
import pandas as pd


class dataInput:
    """
    Класс писателя готовых ддл в отдельный файл
    """
    log_file = ''

    def __init__(self):
        """
        Конструктор
        """
        pass

    def read_excel_numbered(self, file_path, sheets, attr_list, dtype_dict, skiprows, columns):
        data = pd.read_excel(file_path, sheet_name=sheets,
                             index_col=None, names=attr_list, dtype=dtype_dict, skiprows=range(0, skiprows),
                             usecols=columns)
        return data

    def read_excel_named(self, file_path, sheets, dtype_dict, skiprows, columns):
        data = pd.read_excel(file_path,
                             sheet_name=sheets,
                             index_col=None, dtype=dtype_dict, skiprows=range(0, skiprows),
                             usecols=columns)
        return data

    def read_csv_numbered(self, file_path, attr_list, dtype_dict, skiprows, separator = ';', columns = None, encoding = None):
        data = pd.read_csv(file_path,
                             index_col=None, names=attr_list, dtype=dtype_dict, skiprows=range(0, skiprows), sep = separator, encoding=encoding,
                           usecols=columns)
        return data

    def read_csv_named(self, file_path, dtype_dict, skiprows, separator = ';', columns = None, encoding = None):
        data = pd.read_csv(file_path,
                             index_col=None, dtype=dtype_dict, skiprows=range(0, skiprows), sep = separator, usecols=columns, encoding=encoding)
        return data